:: Copyright 2008-2010, by the California Institute of Technology.
:: ALL RIGHTS RESERVED. United States Government Sponsorship acknowledged.
:: Any commercial use must be negotiated with the Office of Technology Transfer
:: at the California Institute of Technology.
::
:: This software is subject to U. S. export control laws and regulations
:: (22 C.F.R. 120-130 and 15 C.F.R. 730-774). To the extent that the software
:: is subject to U.S. export control laws and regulations, the recipient has
:: the responsibility to obtain export licenses or other export authority as
:: may be required before exporting such information to foreign countries or
:: providing access to foreign nationals.
::
:: $Id: VTool.bat 13847 2015-03-11 15:26:04Z mcayanan $

:: Batch file that allows easy execution of the Validation Tool (VTool)
:: without the need to set the CLASSAPTH or having to type in that long java
:: command (java gov.nasa.pds.vtool.VTool ...)

@echo off

:: Expects the VTool jar file to be located in the ../lib directory.

set SCRIPT_DIR=%~dps0
set PARENT_DIR=%SCRIPT_DIR%..

set LIB_DIR=%PARENT_DIR%\lib

if exist "%LIB_DIR%\vtool-*.jar" (
set VTOOL_JAR=%LIB_DIR%\vtool-*.jar
) else (
echo Cannot find VTool jar file in %LIB_DIR%
goto END
)

:: Finds the jar file in LIB_DIR and sets it to VTOOL_JAR

for %%i in ("%LIB_DIR%"\vtool-*.jar) do set VTOOL_JAR=%%i

:: Executes VTool via the executable jar file
:: The special variable '%*' allows the arguments
:: to be passed into the executable.

java -Xms256m -Xmx1024m -jar "%VTOOL_JAR%" %*

:END
